2026.04.d

🥥

Highlights

The 2026.04 release adds enhancements to the

Moody's publishes preliminary information to inform stakeholders ahead of the targeted Intelligent Risk Platform update. Note that these described features are not guaranteed for the next update or any subsequent updates and may be changed without notice. The definitive list of features will be provided in the Changelogs at the time of the official release.

Learn More

Sessions

Clients with the Data Bridge Admin role can now view a list of active server sessions on their Data Bridge cluster. Session operations support filtering server sessions by managed server instance or database. Data Bridge Admins can also delete active sessions on the hosted databases.

List Sessions by Server Instance

The List Sessions by Server Instance operation (GET /databridge/v1/sql-instances/{instanceName}/sessions) returns a list of server sessions on the specified server instance.

{
  "sessionId": 54,
  "databaseName": "master",
  "loginName": "sa",
  "programName": "Core Microsoft SqlClient Data Provider",
  "hostName": "eih-api-5555f4f65c-7qsfv",
  "status": "running",
  "loginTime": "2026-01-27T21:17:59.693",
  "lastRequestStartTime": "2026-01-27T21:17:59.69",
  "lastRequestEndTime": "2026-01-27T21:17:59.69",
  "cpuTime": 0,
  "memoryUsage": 0,
  "executingSql": "SELECT * from sys.databases",
  "blockingSessionId": 0
}
PropertyTypeDescription
sessionIdNumberID of session.
databaseNameStringName of database associated with the session.
loginNameStringLogin of principal running the session.
programNameStringName of program running the session.
hostNameStringName of host machine running the session.
statusStringStatus of session, e.g. running, pending, suspended, etc.
loginTimeString
lastRequestStartTimeString
lastRequestEndTimeString
cpuTimeNumberCPU used
memoryUsageNumberMemory sed.
executingSqlStringIf applicable.
blockingSessionIdNumberIf true, session is blocked.

List Sessions by Database

The List Sessions by Database operation (GET /databridge/v1/sql-instances/{instanceName}/databases/[databaseName]/sessions) returns a list of server sessions running on a specific database.

This operation takes two path parameters: instanceName and databaseName. The instaneName identifies the ID of a managed server instance. The databaseName identifies the ID of a database on the server instance.

{
  "sessionId": 54,
  "databaseName": "master",
  "loginName": "sa",
  "programName": "Core Microsoft SqlClient Data Provider",
  "hostName": "eih-api-5555f4f65c-7qsfv",
  "status": "running",
  "loginTime": "2026-01-27T21:17:59.693",
  "lastRequestStartTime": "2026-01-27T21:17:59.69",
  "lastRequestEndTime": "2026-01-27T21:17:59.69",
  "cpuTime": 0,
  "memoryUsage": 0,
  "executingSql": "SELECT * from sys.databases",
  "blockingSessionId": 0
}

Shrink Database

The Shrink Database operation
(POST /databridge/v1/sql-instances/{instanceName}/Databases/{databaseName}/shrink) shrinks the size of the data and log files on the specified database.

This operation now supports shrinking temporary databases. For tempDB, the database will be restarted and wait restart to complete. Check instance is reachable and then run shrink.

If successful, returns 202 Accepted HTTP response status code.

{
  "jobId": "636c6294-846b-4de4-8168-5052f7f8eefa"
}